%define upstream_name Spreadsheet_Excel_Writer
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.9.2
Release:     	%mkrel 1
Summary:    	Package for generating Excel spreadsheets
License: 	LGPL
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Spreadsheet_Excel_Writer-%{version}.tgz
URL: 		http://pear.php.net/package/Spreadsheet_Excel_Writer
BuildRequires:	php-pear >= 1.4.7
Requires: 	php-pear-OLE >= 0.5
Requires:	php-pear >= 1.4.0b1
BuildArch: noarch

%description
Spreadsheet_Excel_Writer was born as a porting of the
Spreadsheet::WriteExcel Perl module to PHP.
  It allows writing of Excel spreadsheets without the need for COM objects.
  It supports formulas, images (BMP) and all kinds of formatting for text
and cells.
  It currently supports the BIFF5 format (Excel 5.0), so functionality
appeared in the latest Excel versions is not yet available.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Spreadsheet_Excel_Writer.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Spreadsheet_Excel_Writer.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Spreadsheet_Excel_Writer
fi

%files
%defattr(-,root,root)

%{peardir}/*
%{xmldir}/Spreadsheet_Excel_Writer.xml


%changelog

* Sat Jan 14 2012 spuhler <spuhler> 0.9.2-1.mga2
+ Revision: 196107
- upgrade to 0.9.2
  pearized spec

* Sat Jan 29 2011 spuhler <spuhler> 0.9.1-7.mga1
+ Revision: 44296
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Spreadsheet_Excel_Writer

